%define module_version 1.02
%define module_name PostScript-Calendar
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/MoonPhase.pm) perl(Carp.pm) perl(Date/Calc.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(PostScript/Convert.pm) perl(PostScript/File.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Generate a monthly calendar in PostScript
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CJ/CJM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
PostScript::Calendar generates printable calendars using PostScript.

PostScript::Calendar uses Date::Calc's `*_to_Text' functions, so you
can change the language used by calling Date::Calc's `Language'
function before creating your calendar.

Years must be fully specified (e.g., use 1990, not 90).  Months range
from 1 to 12.  Days of the week can be specified as 0 to 7 (where
Sunday is either 0 or 7, Monday is 1, etc.).

All dimensions are specified in PostScript points (72 per inch).

Colors can be specified either as a number in the range 0 to 1 (where
0 is black and 1 is white), or an arrayref of three numbers
`[_Red,_Green,_Blue_]' where each number is in the range 0 to 1.

In addition, you can specify an RGB color in the HTML hex triplet form
prefixed by `#' (like `#FFFF00' or `#FF0' for yellow).


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README example
%perl_vendor_privlib/P*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

